﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Configuring Campaign Dashboards</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring Campaign Dashboards</h1>
        <p>The <strong>Dashboard</strong> section of the <strong>Attestation</strong>&#160;tab in the&#160;<strong>Identity Governance and Administration&#160;(IGA)</strong> application is used to display graphical representations such as tiles and graphs or charts of utmost importance. These representations available are created for various scenarios in either an on-premise or cloud instances. You can use the <strong>Campaign</strong>&#160;module legacy data and generate dashboards. These dashboards are out of the box and you can add more dashboards or modify the existing based on your requirements.&#160;&#160;This section provides different types of graphical representations available in Dashboard and various parameters to be considered while configuring the dashboard for different criteria.</p>
        <h2 id="CampaignDashboards(WIP)-Tiles"><a name="Tiles"></a>Tiles</h2>
        <p>The tiles displayed on the Dashboard are populated from different types of campaigns. The tiles display different counts and can be color-coded,&#160;this is customizable through JSONs. You can also minimize the display section of tiles if you do not intend to view them.<br /></p>
        <p>
            <img src="../Resources/Images/tilescampaign.png" style="width: 550px;" />
            <br />
        </p>
        <h3 id="CampaignDashboards(WIP)-TileOperations"><a name="Tile"></a>Tile Operations</h3>
        <p>Following is the tile operation:</p>
        <p><strong>Reload</strong>: On-click of the <strong>RELOAD</strong>, the data and count on the tile is updated with the new value from the <strong>Campaign</strong> module. The tile may also change the color according to the percentage of count (threshold) if mentioned in the query.</p>
        <h3 id="CampaignDashboards(WIP)-ListofTiles"><a name="List"></a>List of Tiles</h3>
        <p>The following table provides a list of tile examples and the relevant descriptions with JSONs:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 63.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 120.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 132.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 392.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Sl. No</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Tile Name</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Description</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">JSON (Samples)</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">1</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Open Revoke Tasks</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of open revoke tasks.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Open Revoke Tasks",

"description": "Open Revoke Tasks",

"dashboardQuery": "SELECT count(*) as 'totalCount' FROM (select distinct TASKKEY from arstasks where TASKDATE &gt; DATE_SUB(NOW(),INTERVAL 60 DAY) and status in (1,2) and TASKTYPE = 2 and (comments like 'Account Rejected For Attestation%' or comments like 'Entitlement Value Rejected For Attestation%' or comments like 'Task created as part of Revoke account in Certification%' or comments like 'Users are being terminated through Certification%') ) as t1",

"chartProperties": "[{\"displayName\":\"Open Revoke Tasks\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile",

"dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">2</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Campaigns in Preview</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of campaigns in preview mode.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{
"dashboardName": "Campaigns in Preview",

"description": "Campaigns in Preview Status",

"dashboardQuery": "select count(*) as 'totalCount' from campaign where status = 4",

"chartProperties": "[{\"displayName\":\"Campaigns in Preview\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile", "dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null }</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">3</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Revocation Rate</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the revocation rate in percentage (%).</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Revocation Rate", "description": "Revocation Rate = Total Revoke tasks created/Total Access to be certified",

"dashboardQuery": "select concat(round((select count(distinct t1.taskkey) from arstasks t1 where\n t1.TASKDATE &gt; DATE_SUB(NOW(),INTERVAL 60 DAY) \nand t1.TASKTYPE = 2 \nand (t1.comments like 'Account Rejected For Attestation%' or t1.comments like 'Entitlement Value Rejected For Attestation%'\nor t1.comments like 'Task created as part of Revoke account in Certification%' or t1.comments like 'Users are being terminated through Certification%'))/\n(select count(aes.certkey) from certification_account_entitlement1_status aes, certification c where \n aes.certkey = c.certkey and c.createdate &gt; DATE_SUB(now(), interval 60 DAY)\n and c.STATUS in (0,1,2,3,8)) * 100,2) , '%') as 'totalCount'",

"chartProperties": "[{\"displayName\":\"Revocation Rate\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile",

"dashboardStatus": 1, "globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">4</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Discontinued Certifications</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of discontinued certifications.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Discontinued Certifications", "description": "Certifications in Discontinued Status",

"dashboardQuery": "select count(*) as 'totalCount' from certification where status=7",

"chartProperties": "[{\"displayName\":\"Discontinued Certifications\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile", "dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">5</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Pending Certifications</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of pending certifications.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Pending Certifications",

"description": "Certifications in New/Inprogress Status", "dashboardQuery": "select count(*) as 'totalCount' from certification where status in (0,1)",

"chartProperties": "[{\"displayName\":\"Pending Certifications\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile",

"dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">6</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Locked Certifications</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of locked certifications.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Locked Certifications",

"description": "Certifications in Locked &amp; Task Created Status", "dashboardQuery": "select count(*) as 'totalCount' from certification where status in (3,8) and createdate &gt; DATE_SUB(now() , INTERVAL 60 DAY)",

"chartProperties": "[{\"displayName\":\"Locked Certifications\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile", "dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">7</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Campaigns Discontinued</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of discontinued campaigns.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">8</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Inactive Certifiers</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of inactive certifiers.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Campaigns Discontinued", "description": "Campaings in Discontinued Status",

"dashboardQuery": "select count(*) as 'totalCount' from campaign where status = 6",

"chartProperties": "[{\"tileType\":1,\"data\":1,\"displayName\":\"Campaigns Discontinued\",\"clickable\":\"no\",\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile",

"dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">9</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Campaigns In-progress</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of campaigns in progress.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Inprogress Campaigns",

"description": "Campaigns in Inprogress and New Status in last 60 Days", "dashboardQuery": "select count(*) as 'totalCount' from campaign where status in (1,5) and creation_date &gt; DATE_SUB(NOW() , INTERVAL 60 DAY)",

"chartProperties": "[{\"tileType\":1,\"data\":5,\"displayName\":\"Campaigns In-progress\",\"clickable\":\"no\",\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile",

"dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": "datapoint"

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">10</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Expired Certifications</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of expired certifications.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Expired Certifications",

"description": "Certifications in Expired Status",

"dashboardQuery": "select count(*) as 'totalCount' from certification where status=4",

"chartProperties": "[{\"displayName\":\"Expired Certifications\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile",

"dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null }</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">11</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Campaigns Completed</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Displays the number of campaigns completed.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Campaigns Completed",

"description": "Campaigns in Completed Status", "dashboardQuery": "select count(*) as 'totalCount' from campaign where status = 2",

"chartProperties": "[{\"displayName\":\"Campaigns Completed\",\"clickable\":\"no\",\"tileType\":1,\"data\":1,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile",

"dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">12</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Revocation Rate Success</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Displays the revocation success rate in percentage (%).</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Revocation Rate Success",

"description": "'Revocation Rate Success = Total Revoke Tasks completed/ Total Revoke tasks created",

"dashboardQuery": "SELECT concat(RevocationSuccessRate,'%') as 'totalCount'\nFROM (select round(count(distinct t1.taskkey)/count(distinct t2.taskkey)*100,2) as RevocationSuccessRate from arstasks t1, arstasks t2 where t1.TASKDATE &gt; DATE_SUB(NOW(),INTERVAL 60 DAY) and t2.TASKDATE &gt; DATE_SUB(NOW(),INTERVAL 60 DAY)\nand t1.TASKTYPE = 2 and t1.status in (1,2) and t2.tasktype = 2 and (t2.comments like 'Account Rejected For Attestation%' or t2.comments like 'Entitlement Value Rejected For Attestation%'\nor t2.comments like 'Task created as part of Revoke account in Certification%' or t2.comments like 'Users are being terminated through Certification%')\nand (t1.comments like 'Account Rejected For Attestation%' or t1.comments like 'Entitlement Value Rejected For Attestation%'\nor t1.comments like 'Task created as part of Revoke account in Certification%' or t1.comments like 'Users are being terminated through Certification%') ) as t1;\n",

"chartProperties": "[{\"displayName\":\"Revocation Rate Success\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",

"dashboardType": "tile",

"dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": null

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2 id="CampaignDashboards(WIP)-Charts"><a name="Charts"></a>Charts</h2>
        <p>The charts displayed for different kinds of certification and Dashboards are populated based on the data available in the <strong>Campaign</strong> module.&#160;The charts display the actions taken within the certifications of a&#160;particular campaign type.&#160;&#160;Also, these charts provide the count of campaigns/certifications and are color-coded for easy tracking of the status,&#160;this is customizable through JSONs.<br /><img src="../Resources/Images/chartscampaigns.png" style="width: 550px;" /><br /></p>
        <h3 id="CampaignDashboards(WIP)-ChartOperations"><a name="Chart"></a>Chart Operations</h3>
        <p>Following is the chart operation:</p>
        <p><strong>Reload</strong>: On-click of the <strong>RELOAD</strong>, the data and count on the chart will be updated with the new value from <strong>Campaign</strong> module. The chart or section of the chart may also change color according to the percentage of count (threshold) if mentioned,&#160;this is customizable through JSONs.</p>
        <h3 id="CampaignDashboards(WIP)-ListofCharts"><a name="List2"></a><span>List of Charts</span>
        </h3>
        <p>The following table provides a list of charts and the relevant descriptions:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 61.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 99.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 183.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 346.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Sl. No</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Chart Names</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Description</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">JSON (Samples)</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">1</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Summary of User Manager Certification - Employment Verification</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">This pie chart displays the summary of User Manager Certification&#160; - Employment Verification (Step 2) and provides the details of the following in numbers.</p>
                            <ul>
                                <li style="font-size: 14px;">Does not work for me</li>
                                <li style="font-size: 14px;">No Response</li>
                                <li style="font-size: 14px;">Works for Me&#160;</li>
                                <li style="font-size: 14px;">Terminated&#160;</li>
                            </ul>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Summary of User Manager Certification - Employment Verification",

"description": "Summary of User Manager Certification - Employment Verification", "dashboardQuery": "select CASE\n WHEN (us.certified = 1 or us.certified is null) THEN 'No Response'\n WHEN us.certified = 2 THEN 'Works for Me'\n WHEN us.certified = 3 THEN 'Does not work for me'\n WHEN us.certified = 4 THEN 'Terminated'\n END as label, count(*) as data from certification c, certification_user_status us\nwhere c.certkey = us.certkey\nand c.createdate &gt; date_sub(now(),interval 60 day) and c.status in (0,1,2,3,8)\ngroup by label",

"chartProperties": "[\n \"type\": \"pie\",\n \"theme\": \"light\",\n \"balloonText\": \"[[label]]&lt;br&gt;&lt;span style='font-size:14px'&gt;&lt;b&gt;[[data]]&lt;/b&gt; ([[percents]]%)&lt;/span&gt;\",\n \"legend\": [\n \"align\": \"center\",\n \"markerType\": \"circle\"\n ],\n \"valueField\": \"data\",\n \"titleField\": \"label\",\n \"colorField\":\"color\",\n \"balloon\": [\n \"fixedPosition\": true\n ],\n \"radius\": \"27%\",\n \"labelText\": \"[[title]]\",\n \"dataProvider\": dataPointMap\n ]",

"dashboardType": "pieChart", "dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": "datapoint"

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">2</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Summary of User Manager Certification-Approve/Revoke Entitlements</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">This pie chart displays the summary of the User Manager Certification&#160;-Approve/Revoke Entitlements (Step 2)&#160;and provides the details of the following in numbers:</p>
                            <ul>
                                <li style="font-size: 14px;">Does not work for me</li>
                                <li style="font-size: 14px;">No Response</li>
                                <li style="font-size: 14px;">Works for Me&#160;</li>
                                <li style="font-size: 14px;">Terminated&#160;</li>
                            </ul>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Summary of User Manager Certification - Approve/Revoke Entitlements",

"description": "Summary of User Manager Certifications - Step 2", "dashboardQuery": "select CASE\n WHEN aces.certified = 2 THEN 'Certified'\n WHEN aces.certified = 3 THEN 'Revoke'\n ELSE 'No Response'\n END as label, count(*) as data from certification c, certification_account_entitlement1_status aces\nwhere c.certkey = aces.certkey\nand c.createdate &gt; date_sub(now(),interval 60 day) and c.status in (0,1,2,3,8)\ngroup by label",

"chartProperties": "[ \"type\": \"pie\", \"theme\": \"light\", \"balloonText\": \"[[label]]&lt;br&gt;&lt;span style='font-size:14px'&gt;&lt;b&gt;[[data]]&lt;/b&gt; ([[percents]]%)&lt;/span&gt;\", \"legend\": [ \"align\": \"center\", \"markerType\": \"circle\" ], \"valueField\": \"data\", \"titleField\": \"label\", \"colorField\":\"color\", \"balloon\": [ \"fixedPosition\": true ], \"radius\": \"27%\", \"labelText\": \"[[title]]\", \"dataProvider\": dataPointMap ]",

"dashboardType": "pieChart",

"dashboardStatus": 1,

"globalJson": null,

"parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": "datapoint"

}</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">3</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Campaign Status - Campaign Name</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">This pie chart displays the campaign status based on the following in the numbers:</p>
                            <ul>
                                <li style="font-size: 14px;">New</li>
                                <li style="font-size: 14px;">In Progress</li>
                                <li style="font-size: 14px;">Ready to Submit</li>
                                <li style="font-size: 14px;">Submitted</li>
                                <li style="font-size: 14px;">Expired</li>
                                <li style="font-size: 14px;">Discontinued</li>
                                <li style="font-size: 14px;">Preview</li>
                                <li style="font-size: 14px;">Expired</li>
                                <li style="font-size: 14px;">Submitted and Task Created</li>
                                <li style="font-size: 14px;">Canceled</li>
                            </ul>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton />
                                <MadCap:codeSnippetCaption>
                                    <p>JSON</p>
                                </MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve">{

"dashboardName": "Campaign Status - Campaign Name",

"description": "Total Certifications for Blueprint(Campaign Name)", "dashboardQuery": "select CASE \n \t\t\tWHEN a.status = 0 THEN 'New' \n \t\t\tWHEN a.status = 1 THEN 'In Progress' \n \t\t\tWHEN a.status = 2 THEN 'Ready to Submit' \n \t\t\tWHEN a.status = 3 THEN 'Submitted' \n \t\t\tWHEN a.status = 4 THEN 'Expired' \n WHEN a.status = 5 THEN 'Discontinued'\n WHEN a.status = 6 THEN 'Preview'\n WHEN a.status = 7 THEN 'Expired'\n WHEN a.status = 8 THEN 'Submitted and Task Created'\n WHEN a.status = 9 THEN 'Cancelled' \n \t\tEND as label , count(*) as data from certification a, campaign p\nwhere p.id = a. campaignkey\ngroup by label\n",

"chartProperties": "[ \"type\": \"pie\", \"theme\": \"light\", \"balloonText\": \"[[label]]&lt;br&gt;&lt;span style='font-size:14px'&gt;&lt;b&gt;[[data]]&lt;/b&gt; ([[percents]]%)&lt;/span&gt;\", \"legend\": [ \"align\": \"center\", \"markerType\": \"circle\" ], \"valueField\": \"data\", \"titleField\": \"label\", \"colorField\":\"color\", \"balloon\": [ \"fixedPosition\": true ], \"radius\": \"27%\", \"labelText\": \"[[title]]\", \"dataProvider\": dataPointMap ]",

"dashboardType": "pieChart",

"dashboardStatus": 1,

"globalJson": null, "parametersJSON": null,

"parameterizedSQL": null,

"filterName": null,

"dataPoint": "datapoint" }</MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                            <p class="table-text">&#160;</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2 id="CampaignDashboards(WIP)-ConfiguringCampaignDashboards"><a name="Configur"></a>Configuring Campaign Dashboards</h2>
        <p>The dashboards are configured using the <strong>Upgrade Job</strong>. It fetches the details from the dashboards table and updates the <strong>Attestation</strong> tab &gt; <strong>Dashboard</strong> section. The dashboard values are fetched from the JSON file.&#160;Also, these dashboard/charts are associated with SAV Role - ROLE_ADMIN.</p>
        <p>To configure a campaign dashboard, perform the following steps:</p>
        <ol>
            <li>Download the campaign dashboard related latest JSON file for the Release 5.4.0 or request your Saviynt POC (Point of Contact).</li>
            <li>
                <p class="auto-cursor-target">Create new <strong>dashboards</strong> folder in the following location and save the JSON file:<br /></p>
                <p>Ensure that the JSON file-name stored in below path is exactly mentioned as '<strong>campaignOtbDashboards.json</strong>'. If the file name specified is not '<strong>campaignOtbDashboards.json</strong>', an error will be displayed.</p>
                <p style="font-weight: bold;">JSON File Naming Convention</p>
                <ul>
                    <li>
                        <p class="auto-cursor-target"><strong>C:\saviynt\Conf\</strong>
                        </p>
                    </li>
                </ul>
            </li>
            <li>
                <p class="auto-cursor-target">The following is the content of &lt;.JSON&gt; file:<br /></p>
                <MadCap:codeSnippet>
                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                    <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: Java;">[
  {
    "dashboardName": "Inprogress Campaigns",
    "description": "Campaigns in Inprogress and New Status in last 60 Days",
    "dashboardQuery": "select count(*) as 'totalCount' from campaign where status in (1,5)  and  creation_date &gt; DATE_SUB(NOW() , INTERVAL 60 DAY)",
    "chartProperties": "[{\"tileType\":1,\"data\":5,\"displayName\":\"Campaigns In-progress\",\"clickable\":\"no\",\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": "datapoint"  },
  {
    "dashboardName": "Campaigns Completed",
    "description": "Campaigns in Completed Status",
    "dashboardQuery": "select count(*) as 'totalCount' from campaign where status = 2",
    "chartProperties": "[{\"displayName\":\"Campaigns Completed\",\"clickable\":\"no\",\"tileType\":1,\"data\":1,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Campaigns Discontinued",
    "description": "Campaings in Discontinued Status",
    "dashboardQuery": "select count(*) as 'totalCount' from campaign where status = 6",
    "chartProperties": "[{\"tileType\":1,\"data\":1,\"displayName\":\"Campaigns Discontinued\",\"clickable\":\"no\",\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Campaigns in Preview",
    "description": "Campaigns in Preview Status",
    "dashboardQuery": "select count(*) as 'totalCount' from campaign where status = 4",
    "chartProperties": "[{\"displayName\":\"Campaigns in Preview\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Pending Certifications",
    "description": "Certifications in New/Inprogress Status",
    "dashboardQuery": "select count(*) as 'totalCount' from certification where status in (0,1)",
    "chartProperties": "[{\"displayName\":\"Pending Certifications\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Locked Certifications",
    "description": "Certifications in Locked &amp; Task Created Status",
    "dashboardQuery": "select count(*) as 'totalCount' from certification where status in (3,8) and createdate &gt; DATE_SUB(now() , INTERVAL 60 DAY)",
    "chartProperties": "[{\"displayName\":\"Locked Certifications\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Expired Certifications",
    "description": "Certifications in Expired Status",
    "dashboardQuery": "select count(*) as 'totalCount' from certification where status=4",
    "chartProperties": "[{\"displayName\":\"Expired Certifications\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Discontinued Certifications",
    "description": "Certifications in Discontinued Status",
    "dashboardQuery": "select count(*) as 'totalCount' from certification where status=7",
    "chartProperties": "[{\"displayName\":\"Discontinued Certifications\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Inactive Certifiers",
    "description": "Inactive Certifiers",
    "dashboardQuery": "select count(distinct certifier) as 'totalCount' from certification c, users u where u.userkey = c.CERTIFIER and u.statuskey = 0 and c.status in (0,1) and c.createdate &gt; DATE_SUB(now(),interval 60 DAY)",
    "chartProperties": "[{\"displayName\":\"Inactive Certifiers\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Open Revoke Tasks",
    "description": "Open Revoke Tasks",
    "dashboardQuery": "SELECT count(*) as 'totalCount' FROM (select distinct TASKKEY from arstasks where TASKDATE &gt; DATE_SUB(NOW(),INTERVAL 60 DAY) and status in (1,2) and TASKTYPE = 2 and (comments like 'Account Rejected For Attestation%' or comments like 'Entitlement Value Rejected For Attestation%' or comments like 'Task created as part of Revoke account in Certification%' or comments like 'Users are being terminated through Certification%') ) as t1",
    "chartProperties": "[{\"displayName\":\"Open Revoke Tasks\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Revocation Rate",
    "description": "Revocation Rate = Total Revoke tasks created/Total Access to be certified",
    "dashboardQuery": "select concat(round((select  count(distinct t1.taskkey) from arstasks t1 where\n  t1.TASKDATE &gt; DATE_SUB(NOW(),INTERVAL 60 DAY) \nand t1.TASKTYPE = 2 \nand (t1.comments like 'Account Rejected For Attestation%' or t1.comments like 'Entitlement Value Rejected For Attestation%'\nor t1.comments like 'Task created as part of Revoke account in Certification%' or t1.comments like 'Users are being terminated through Certification%'))/\n(select count(aes.certkey) from certification_account_entitlement1_status aes, certification  c where \n aes.certkey = c.certkey and c.createdate &gt; DATE_SUB(now(), interval 60 DAY)\n and c.STATUS in (0,1,2,3,8)) * 100,2) , '%') as 'totalCount'",
    "chartProperties": "[{\"displayName\":\"Revocation Rate\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Revocation Rate Success",
    "description": "'Revocation Rate Success = Total Revoke Tasks completed/ Total Revoke tasks created",
    "dashboardQuery": "SELECT concat(RevocationSuccessRate,'%')  as 'totalCount'\nFROM (select  round(count(distinct t1.taskkey)/count(distinct t2.taskkey)*100,2) as RevocationSuccessRate from arstasks t1, arstasks t2 where  t1.TASKDATE &gt; DATE_SUB(NOW(),INTERVAL 60 DAY) and t2.TASKDATE &gt; DATE_SUB(NOW(),INTERVAL 60 DAY)\nand t1.TASKTYPE = 2 and t1.status in (1,2) and t2.tasktype = 2 and  (t2.comments like 'Account Rejected For Attestation%' or t2.comments like 'Entitlement Value Rejected For Attestation%'\nor t2.comments like 'Task created as part of Revoke account in Certification%' or t2.comments like 'Users are being terminated through Certification%')\nand (t1.comments like 'Account Rejected For Attestation%' or t1.comments like 'Entitlement Value Rejected For Attestation%'\nor t1.comments like 'Task created as part of Revoke account in Certification%' or t1.comments like 'Users are being terminated through Certification%') ) as t1;\n",
    "chartProperties": "[{\"displayName\":\"Revocation Rate Success\",\"clickable\":\"no\",\"tileType\":1,\"data\":5,\"chartType\":\"icon-user small\",\"objectName\":\"\",\"className\":\"dashboard-stat green-meadow\",\"category\":\"\"}]",
    "dashboardType": "tile",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": null
  },
  {
    "dashboardName": "Summary of User Manager Certification - Employment Verification",
    "description": "Summary of User Manager Certification - Employment Verification",
    "dashboardQuery": "select CASE\n                WHEN (us.certified = 1 or us.certified is null)  THEN 'No Response'\n                WHEN us.certified = 2 THEN 'Works for Me'\n                WHEN us.certified = 3 THEN 'Does not work for me'\n                WHEN us.certified = 4 THEN 'Terminated'\n            END as label, count(*) as data from certification c, certification_user_status us\nwhere c.certkey = us.certkey\nand c.createdate &gt; date_sub(now(),interval 60 day) and c.status in (0,1,2,3,8)\ngroup by label",
    "chartProperties": "[\n                \"type\": \"pie\",\n                \"theme\": \"light\",\n                \"balloonText\": \"[[label]]&lt;br&gt;&lt;span style='font-size:14px'&gt;&lt;b&gt;[[data]]&lt;/b&gt; ([[percents]]%)&lt;/span&gt;\",\n                \"legend\": [\n                        \"align\": \"center\",\n                        \"markerType\": \"circle\"\n                ],\n                \"valueField\": \"data\",\n                \"titleField\": \"label\",\n                \"colorField\":\"color\",\n                \"balloon\": [\n                        \"fixedPosition\": true\n                ],\n                \"radius\": \"27%\",\n                \"labelText\": \"[[title]]\",\n                \"dataProvider\": dataPointMap\n        ]",
    "dashboardType": "pieChart",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": "datapoint"  },
  {
    "dashboardName": "Summary of User Manager Certification - Approve/Revoke Entitlements",
    "description": "Summary of User Manager Certifications - Step 2",
    "dashboardQuery": "select   CASE\n                WHEN aces.certified = 2 THEN 'Certified'\n                WHEN aces.certified = 3 THEN 'Revoke'\n                ELSE 'No Response'\n            END as label, count(*) as data from certification c, certification_account_entitlement1_status aces\nwhere c.certkey = aces.certkey\nand c.createdate &gt; date_sub(now(),interval 60 day) and c.status in (0,1,2,3,8)\ngroup by label",
    "chartProperties": "[                 \"type\": \"pie\",                 \"theme\": \"light\",                 \"balloonText\": \"[[label]]&lt;br&gt;&lt;span style='font-size:14px'&gt;&lt;b&gt;[[data]]&lt;/b&gt; ([[percents]]%)&lt;/span&gt;\",                 \"legend\": [                         \"align\": \"center\",                         \"markerType\": \"circle\"                 ],                 \"valueField\": \"data\",                 \"titleField\": \"label\",                 \"colorField\":\"color\",                 \"balloon\": [                         \"fixedPosition\": true                 ],                 \"radius\": \"27%\",                 \"labelText\": \"[[title]]\",                 \"dataProvider\": dataPointMap         ]",
    "dashboardType": "pieChart",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": "datapoint"  },
  {
    "dashboardName": "Campaign Status - Campaign Name",
    "description": "Total Certifications for Blueprint(Campaign Name)",
    "dashboardQuery": "select CASE \n  \t\t\tWHEN a.status = 0 THEN 'New' \n  \t\t\tWHEN a.status = 1 THEN 'In Progress' \n  \t\t\tWHEN a.status = 2 THEN 'Ready to Submit' \n  \t\t\tWHEN a.status = 3 THEN 'Submitted' \n  \t\t\tWHEN a.status = 4 THEN 'Expired' \n            WHEN a.status = 5 THEN 'Discontinued'\n            WHEN a.status = 6 THEN 'Preview'\n            WHEN a.status = 7 THEN 'Expired'\n            WHEN a.status = 8 THEN 'Submitted and Task Created'\n            WHEN a.status = 9 THEN 'Cancelled' \n  \t\tEND as label , count(*) as data from certification a, campaign p\nwhere p.id = a. campaignkey\ngroup by label\n",
    "chartProperties": "[                 \"type\": \"pie\",                 \"theme\": \"light\",                 \"balloonText\": \"[[label]]&lt;br&gt;&lt;span style='font-size:14px'&gt;&lt;b&gt;[[data]]&lt;/b&gt; ([[percents]]%)&lt;/span&gt;\",                 \"legend\": [                         \"align\": \"center\",                         \"markerType\": \"circle\"                 ],                 \"valueField\": \"data\",                 \"titleField\": \"label\",                 \"colorField\":\"color\",                 \"balloon\": [                         \"fixedPosition\": true                 ],                 \"radius\": \"27%\",                 \"labelText\": \"[[title]]\",                 \"dataProvider\": dataPointMap         ]",
    "dashboardType": "pieChart",
    "dashboardStatus": 1,
    "globalJson": null,
    "parametersJSON": null,
    "parameterizedSQL": null,
    "filterName": null,
    "dataPoint": "datapoint"  }
]
</MadCap:codeSnippetBody>
                </MadCap:codeSnippet>
            </li>
            <li>In order to migrate the configuration data from &lt;.JSON&gt; file, you have to run the <strong>UPGRADE</strong> Job from<strong>ADMIN &gt; Job Control Panel &gt; System &gt; Upgrade Job</strong>.</li>
            <li>Click on the<strong>+ Add New Job</strong>, which opens a pop up allowing you to create a new instance of the job.</li>
            <li>Once you create a new instance of the job, click on the&#160;<strong>Upgrade Job</strong>to view the job you created.</li>
            <li>Click the<strong>Action</strong>arrow and click<strong>START</strong>to execute the job.</li>
            <li>The <strong>Enter Details</strong> pop-up windows appear. In the&#160;<strong>Select Upgrade Type parameter</strong> field, select <strong>Campaign OTB Dashboard </strong>option&#160;and click <strong>Submit</strong>.</li>
            <li>After the job executes, you should see all the migrated data in&#160;<strong>ADMIN &gt; SAV Role &gt; SAV Roles &gt; Attestation.</strong></li>
            <li>To add or delete dashboards for <strong>Campaign</strong> modulebased on SAV roles, see <strong>Mapping Dashboards for Campaigns</strong> section.</li>
        </ol>
        <h2 id="CampaignDashboards(WIP)-MappingDashboardsforCampaigns"><a name="Mapping"></a>Mapping Dashboards for Campaigns&#160;</h2>
        <p>To add or delete dashboards for <strong>Campaign</strong> modulebased on SAV roles, perform the following steps:</p>
        <ol>
            <li>Go to&#160;<strong>ADMIN&#160;&gt; SAV Role &gt; SAV Roles.</strong></li>
            <li>Click an existing SAV role to open the<strong>SAV Role</strong>&#160;page, select<strong>Dashboards</strong>tab.</li>
            <li>Click on the right arrow in line with the <strong>Attestation</strong>&#160;name.</li>
            <li>For Campaign, you need to add dashboards for the following:<ul><li><strong>Attestation</strong></li></ul></li>
            <li>
                <p class="auto-cursor-target">Click<strong>+Add Dashboard,&#160;</strong>select one or more checkboxes in the<strong>Add Dashboard</strong>window and click<strong>Submit.<br /></strong><img src="../Resources/Images/Campaigns_attestation.png" style="width: 550px;" /><br /></p>
            </li>
            <li>
                <p class="auto-cursor-target">It consists of the following columns:</p>
                <div class="table-wrap">
                    <div class="table-wrap">
                        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                            <col class="TableStyle-Default-Table-Column-Column1" />
                            <col class="TableStyle-Default-Table-Column-Column1" />
                            <thead>
                                <tr class="TableStyle-Default-Table-Head-Header1">
                                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Column Name</th>
                                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">Dashboard </p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Displays the name of the dashboard appears.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">Type</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Displays the type of the dashboard.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">Description</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Displays the dashboard description.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">Order Index</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Displays the order number of the dashboard. The dashboard is displayed and organized based on the order number.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                        <p class="table-text">Action</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                        <div class="content-wrapper">
                                            <p>The following actions are available:</p>
                                            <ul>
                                                <li style="font-size: 14px;">
                                                    <img src="../Resources/Images/deletecampaign.png" />&#160;- Click this button to delete the dashboard. If deleted, the dashboard is&#160;removed from the respective module page.</li>
                                                <li style="font-size: 14px;">
                                                    <img src="../Resources/Images/upcampaign.png" />&#160;- Click this button to decrease the order of the dashboards. For example, from 10 to 8.</li>
                                                <li style="font-size: 14px;">
                                                    <img src="../Resources/Images/downcampaign.png" />&#160;- Click this button to increase the order of the dashboard. For example, from 8 to 10.</li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </li>
        </ol>
    </body>
</html>